Package csb :: Package bio :: Package fragments :: Module rosetta

[frames] | no frames]

# Module rosetta

source code

Rosetta fragment libraries.

This module defines the RosettaFragmentMap objects, which describes a fragment library in Rosetta NNmake format. RosettaFragmentMap has a static factory method for building a library from a fragment file:

    >>> RosettaFragmentMap.read('fragments.txt')
    <RosettaFragmentMap>

Note: Consider extracting RosettaFragmentMap.read as a Rosetta fragment parser which naturally belongs to csb.bio.io.

Classes
| ExtendedOutputBuilder Builds non-standard fragment files, which contain the CA coordinates of each residue at the end of each line.
| OutputBuilder Rosetta fragment file formatter.
| ResidueInfo Container struct for a single rosetta fragment residue.
| RosettaFragment Represents a single Rosetta fragment match.
| RosettaFragmentMap Represents a Rosetta fragment library.

Variables
| __package__ = ``'``csb.bio.fragments``'``